image: python:3.11
pages:
  stage: deploy
  script:
    - pip install -r requirements.txt
    - mkdocs build --site-dir public --verbose
  artifacts:
    paths:
      - public
  rules:
    - if: '$CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH'
